## org.apache.poi.hpsf
Class SummaryInformation

    java.lang.Object
      org.apache.poi.hpsf.PropertySet
          org.apache.poi.hpsf.SpecialPropertySet
              org.apache.poi.hpsf.SummaryInformation

public class SummaryInformation
extends SpecialPropertySet

Convenience class representing a Summary Information stream in a Microsoft Office document.

See http://msdn.microsoft.com/library/default.asp?url=/library/en-us/com/stgu_8910.asp for documentation from That Redmond Company.

Since:
  2002-02-09
Version:
  $Id: SummaryInformation.java,v 1.10.4.1 2004/02/22 11:54:45 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)
See Also:
  `DocumentSummaryInformation`

Field Summary
`static java.lang.String` `DEFAULT_STREAM_NAME` The document name a summary information stream usually has in a POIFS filesystem.

Fields inherited from class org.apache.poi.hpsf.PropertySet
`byteOrder, classID, format, OS_MACINTOSH, OS_WIN16, OS_WIN32, osVersion, sectionCount, sections`

Constructor Summary
`SummaryInformation(PropertySet ps)` Creates a `SummaryInformation` from a given `PropertySet`.

Method Summary
`java.lang.String` `getApplicationName()` Returns the stream's application name (or `null`).
`java.lang.String` `getAuthor()` Returns the stream's author (or `null`).
`int` `getCharCount()` Returns the stream's character count or 0 if the `SummaryInformation` does not contain a char count.
`java.lang.String` `getComments()` Returns the stream's comments (or `null`).
`java.util.Date` `getCreateDateTime()` Returns the stream's creation time (or `null`).
`java.util.Date` `getEditTime()` Returns the stream's edit time (or `null`).
`java.lang.String` `getKeywords()` Returns the stream's keywords (or `null`).
`java.lang.String` `getLastAuthor()` Returns the stream's last author (or `null`).
`java.util.Date` `getLastPrinted()` Returns the stream's last printed time (or `null`).
`java.util.Date` `getLastSaveDateTime()` Returns the stream's last save time (or `null`).
`int` `getPageCount()` Returns the stream's page count or 0 if the `SummaryInformation` does not contain a page count.
`java.lang.String` `getRevNumber()` Returns the stream's revision number (or `null`).
`int` `getSecurity()` Returns a security code which is one of the following values:
`java.lang.String` `getSubject()` Returns the stream's subject (or `null`).
`java.lang.String` `getTemplate()` Returns the stream's template (or `null`).
`byte[]` `getThumbnail()` Returns the stream's thumbnail (or `null`) when this method is implemented.
`java.lang.String` `getTitle()` Returns the stream's title (or `null`).
`int` `getWordCount()` Returns the stream's word count or 0 if the `SummaryInformation` does not contain a word count.

Methods inherited from class org.apache.poi.hpsf.SpecialPropertySet
`getByteOrder, getClassID, getFormat, getOSVersion, getSectionCount, getSections, getSingleSection, isDocumentSummaryInformation, isSummaryInformation`

Methods inherited from class org.apache.poi.hpsf.PropertySet
`getProperties, getProperty, getPropertyBooleanValue, getPropertyIntValue, isPropertySetStream, isPropertySetStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STREAM_NAME

    public static final java.lang.String DEFAULT_STREAM_NAME

  The document name a summary information stream usually has in a POIFS filesystem.

  See Also:
    Constant Field Values

Constructor Detail

### SummaryInformation

    public SummaryInformation(PropertySet ps)
                       throws UnexpectedPropertySetTypeException

  Creates a `SummaryInformation` from a given `PropertySet`.

Parameters:
  `ps` - A property set which should be created from a summary information stream.
Throws:
  `UnexpectedPropertySetTypeException` - if ps does not contain a summary information stream.

Method Detail

### getTitle

    public java.lang.String getTitle()

  Returns the stream's title (or `null`).

  Returns:
    The title or `null`

### getSubject

    public java.lang.String getSubject()

  Returns the stream's subject (or `null`).

  Returns:
    The subject or `null`

### getAuthor

    public java.lang.String getAuthor()

  Returns the stream's author (or `null`).

  Returns:
    The author or `null`

### getKeywords

    public java.lang.String getKeywords()

  Returns the stream's keywords (or `null`).

  Returns:
    The keywords or `null`

### getComments

    public java.lang.String getComments()

  Returns the stream's comments (or `null`).

  Returns:
    The comments or `null`

### getTemplate

    public java.lang.String getTemplate()

  Returns the stream's template (or `null`).

  Returns:
    The template or `null`

### getLastAuthor

    public java.lang.String getLastAuthor()

  Returns the stream's last author (or `null`).

  Returns:
    The last author or `null`

### getRevNumber

    public java.lang.String getRevNumber()

  Returns the stream's revision number (or `null`).

  Returns:
    The revision number or `null`

### getEditTime

    public java.util.Date getEditTime()

  Returns the stream's edit time (or `null`).

  Returns:
    The edit time or `null`

### getLastPrinted

    public java.util.Date getLastPrinted()

  Returns the stream's last printed time (or `null`).

  Returns:
    The last printed time or `null`

### getCreateDateTime

    public java.util.Date getCreateDateTime()

  Returns the stream's creation time (or `null`).

  Returns:
    The creation time or `null`

### getLastSaveDateTime

    public java.util.Date getLastSaveDateTime()

  Returns the stream's last save time (or `null`).

  Returns:
    The last save time or `null`

### getPageCount

    public int getPageCount()

  Returns the stream's page count or 0 if the `SummaryInformation` does not contain a page count.

  Returns:
    The page count or `null`

### getWordCount

    public int getWordCount()

  Returns the stream's word count or 0 if the `SummaryInformation` does not contain a word count.

  Returns:
    The word count or `null`

### getCharCount

    public int getCharCount()

  Returns the stream's character count or 0 if the `SummaryInformation` does not contain a char count.

  Returns:
    The character count or `null`

### getThumbnail

    public byte[] getThumbnail()

  Returns the stream's thumbnail (or `null`) when this method is implemented. Please note that the return type is likely to change!

  FIXME / Hint to developers: Drew Varner <Drew.Varner -at- sc.edu> said that this is an image in WMF or Clipboard (BMP?) format. He also provided two links that might be helpful: http://www.csn.ul.ie/~caolan/publink/file/OLE2SummaryAgainst_file-3.27.patch and http://msdn.microsoft.com/library/en-us/dno97ta/html/msdn_docprop.asp . However, we won't do any conversion into any image type but instead just return a byte array.

  Returns:
    The thumbnail or `null`

### getApplicationName

    public java.lang.String getApplicationName()

  Returns the stream's application name (or `null`).

  Returns:
    The application name or `null`

### getSecurity

    public int getSecurity()

  Returns a security code which is one of the following values:

  - 0 if the `SummaryInformation` does not contain a security field or if there is no security on the document. Use `PropertySet.wasNull()` to distinguish between the two cases!

  - 1 if the document is password protected

  - 2 if the document is read-only recommended

  - 4 if the document is read-only enforced

  - 8 if the document is locked for annotations

  Returns:
    The security code or `null`

Copyright © 2003 Apache Software Foundation.